Name:           python-bagit-create
Version:        0.2.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Create BagIt packages harvesting data from upstream sources

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.cern.ch/digitalmemory/bagit-create
Source:         %{pypi_source bagit_create}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bagit-create' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bagit-create
Summary:        %{summary}

%description -n python3-bagit-create %_description


%prep
%autosetup -p1 -n bagit_create-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bagit-create -f %{pyproject_files}


%changelog
%autochangelog